#ifndef CTAPI_H
#define CTAPI_H

#ifdef __cplusplus
  extern "C" {
#endif

#define PORT_COM1      1    /* COM 1 */
#define PORT_COM2      2    /* COM 2 */
#define PORT_COM3      3    /* COM 3 */
#define PORT_COM4      4    /* COM 4 */

char CT_init(
  unsigned short ctn,       /* Terminal Number 1 - 128 */
  unsigned short pn         /* Port Number 1 - 4 */
  );

char CT_close(
  unsigned short ctn        /* Terminal Number */
  );

char CT_data(
  unsigned short ctn,       /* Terminal Number */
  unsigned char  *dad,      /* Destination */
  unsigned char  *sad,      /* Source */
  unsigned short lc,        /* Length of command */
  unsigned char  *cmd,      /* Command/Data Buffer */
  unsigned short *lr,       /* Length of Response */
  unsigned char  *rsp       /* Response */
  );


#define OK               0      /* Success */
#define ERR_INVALID     -1      /* Invalid Data */
#define ERR_CT          -8      /* CT Error */
#define ERR_TRANS       -10     /* Transmission Error */
#define ERR_MEMORY      -11     /* Memory Allocate Error */
#define ERR_HTSI        -128    /* HTSI Error */

/* #define DAD */
#define CT              1
#define HOST            2

#ifdef __cplusplus
  }
#endif

#endif /* #ifndef CTAPI_H */



